> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Set customer entitlement

> Set an entitlement override for a customer.



## OpenAPI

````yaml put /v1/customers/{id}/entitlements/{feature_code}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/customers/{id}/entitlements/{feature_code}:
    put:
      tags:
        - Customers > Entitlements
      summary: Set customer entitlement
      description: Set an entitlement override for a customer.
      operationId: setCustomerEntitlement
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
        - schema:
            type: string
          required: true
          name: feature_code
          in: path
      requestBody:
        description: Customer entitlement payload.
        content:
          application/json:
            schema:
              type: object
              properties:
                value:
                  anyOf:
                    - type: boolean
                    - type: number
                  description: Entitlement value.
                reason:
                  type:
                    - string
                    - 'null'
                  description: Reason associated with a customer entitlement override.
                  example: null
                expires_at:
                  type:
                    - string
                    - 'null'
                  format: date-time
                  description: Expiration date of a customer entitlement override.
                  example: null
              required:
                - value
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerEntitlement'
      security:
        - bearer: []
components:
  schemas:
    CustomerEntitlement:
      type: object
      properties:
        feature_code:
          type: string
          description: Feature code.
          example: sso
        value:
          anyOf:
            - type: boolean
            - type: number
          description: Entitlement value.
        reason:
          type:
            - string
            - 'null'
          description: Reason associated with a customer entitlement override.
          example: null
        expires_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Expiration date of a customer entitlement override.
          example: null
        created_at:
          type: string
          format: date-time
          description: Creation date.
          example: '2024-12-20T16:04:11Z'
        updated_at:
          type: string
          format: date-time
          description: Last update date.
          example: '2024-12-20T16:04:11Z'
      required:
        - feature_code
        - value
        - reason
        - expires_at
        - created_at
        - updated_at
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````